Subject: Re: linux-next: manual merge of the memblock tree with the origin tree

From: "Gowans, James" <[email-masked]>
Date: Thu, 20 Jun 2024 17:59:05 +0000

On Thu, 2024-06-20 at 17:13 +0100, Mark Brown wrote:
> On Thu, Jun 20, 2024 at 04:07:45PM +0000, Gowans, James wrote:
> > On Thu, 2024-06-20 at 16:54 +0100, Mark Brown wrote:
> 
> > > + 	if (WARN_ONCE(nid == MAX_NUMNODES, "Usage of MAX_NUMNODES is deprecated. Use NUMA_NO_NODE instead\n"))
> > > + 		nid = NUMA_NO_NODE;
> > > + 
> > >  -	/*
> > >  -	 * Detect any accidental use of these APIs after slab is ready, as at
> > >  -	 * this moment memblock may be deinitialized already and its
> > >  -	 * internal data may be destroyed (after execution of memblock_free_all)
> > >  -	 */
> 
> > This looks like you're deleting the check from the
> > memblock_alloc_range()? The intention of
> > commit 94ff46de4a738 ("memblock: Move late alloc warning down to phys alloc")
> > was to *add* this check here.
> 
> Huh, git showed the add/add conflict weirdly then (it looked like an
> add/remove) and I wasn't paying enough attention.  Sorry about that.
> 
> > Do you have a link where I can see the final repo?
> > I'm not seeing it here:
> > https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/tree/mm/memblock.c
> 
> The merge is still running, it'll appear whenever -next is released
> today.

Looking at today's -next:

https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/tree/mm/memblock.c?h=next-20240620#n1434
I think this check did indeed accidentally get deleted in the merge.

We're expecting the diff in this commit to be present:
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/mm/memblock.c?h=next-20240620&id=94ff46de4a738e7916b68ab5cc0b0380729f02af

... but the merge commit appears to have the deleting part but not the
adding part:
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/mm/memblock.c?h=next-20240620&id=42781bf9ef85d3d259ec345f3c4e6a5a8b8add64

Correct me if I'm wrong, but it looks like the if statement only got
deleted and not moved, so this would need to be re-worked.

JG